---
schema_version: "1"
id: 6235ea800367fe231f08cba17a7ec11ed81cfdfd95ad6a97ffdfbb17244c1bae
title: Get Field Values from an External Object Record by Using the External ID Standard Field
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-get-field-values-external-object.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-get-field-values-external-object.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 199bfbbbeb25752975891dc0e135bc73ccde7c9a37bb3b80d73b6ec1e8f980ab
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Field Values from an External Object Record by Using the External ID Standard Field

You use the sObject Rows resource to retrieve field values from a record. Specify the fields you want to retrieve in the `fields` parameter and use the GET method of the resource.

In the following example, the `Country__c` custom field is retrieved from an external object. Notice that the id (CACTU) isn’t a Salesforce ID. Instead, it’s the External ID standard field of the external object.

## Example for retrieving values from fields on the Customer external object

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Customer__x/CACTU?fields=Country__c -H "Authorization: Bearer token"
```



## Example request body

None required

## Example response body

```nolang
{
  "attributes" : {
    "type" : "Customer__x",
    "url" : "/services/data/v68.0/sobjects/Customer__x/CACTU"
  },
  "Country__c" : "Argentina",
  "ExternalId" : "CACTU"
}
```

